#
# spec file for package mtrack (Version 0.3)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org
#

# neededforbuild  glib glib-devel gtk gtk-devel update-desktop-files x-devel-packages

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libselinux libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils expat fontconfig fontconfig-devel gcc gdbm gettext glib glib-devel gnome-filesystem gtk gtk-devel libtool perl rpm update-desktop-files xorg-x11-devel xorg-x11-libs

Name:         mtrack
License:      GPL
Group:        Productivity/Hamradio/Satellite
Url:          http://www.qsl.net/g4klx/software.htm
Autoreqprov:  on
Version:      0.3
Release:      350
Summary:      X window based satellite tracking program
Source:       mtrack-%{version}.tar.gz
Source1:      %name.desktop
Patch:        mtrack.dif

%description
Mtrack is a X window based satellite tracking program, it is available
under the GPL and of course comes with full source. The program
provides a window which contains a map along with the sub-satellite
point and footprint, as well as the users home location. Information
about the satellite is provided below the map.

The program can also display a table showing future visibility, the
visibilty at a large number of other locations, and updated keplerian
elements. A full data editor is built in to allow for the addition,
deletion and modification of the satelite data, location data and user
preferences. The program can also import NASA two line elements
directly. There is a choice of maps, and the colours of the map,
footprint, satellite and user can all be changed



Authors:
--------
    Jonathan Naylor <g4klx@qsl.net>

%debug_package
%prep
%setup -q
%patch

%build
make

%install
DOCDIR=/usr/share/doc/packages/mtrack
DOC="CHANGES COPYING README README.old TODO"
make install
install -d -m 755 ${DOCDIR}
install -m 644 ${DOC} ${DOCDIR}
chmod 644 /var/lib/mtrack/*
%suse_update_desktop_file -i %name Network HamRadio

%files
%defattr(-,root,root)
%dir /usr/share/doc/packages/mtrack
%dir /usr/share/mtrack
%dir /var/lib/mtrack
%config /etc/mtrackrc
/usr/bin/mtrack
/usr/bin/tle2mtrack
/usr/share/applications/%name.desktop
/usr/share/doc/packages/mtrack/CHANGES
/usr/share/doc/packages/mtrack/COPYING
/usr/share/doc/packages/mtrack/README
/usr/share/doc/packages/mtrack/README.old
/usr/share/doc/packages/mtrack/TODO
/usr/share/mtrack/africa.pbm
/usr/share/mtrack/asia.pbm
/usr/share/mtrack/australasia.pbm
/usr/share/mtrack/dxedit.help
/usr/share/mtrack/dxlist.help
/usr/share/mtrack/elements.help
/usr/share/mtrack/europe.pbm
/usr/share/mtrack/import.help
/usr/share/mtrack/index.help
/usr/share/mtrack/list.help
/usr/share/mtrack/listask.help
/usr/share/mtrack/main.help
/usr/share/mtrack/namerica.pbm
/usr/share/mtrack/pacific.pbm
/usr/share/mtrack/preferences.help
/usr/share/mtrack/samerica.pbm
/usr/share/mtrack/satedit.help
/usr/share/mtrack/satlist.help
/usr/share/mtrack/usa.pbm
/usr/share/mtrack/visibility.help
/usr/share/mtrack/world.pbm
%config /var/lib/mtrack/locfile
%config /var/lib/mtrack/satfile

%changelog -n mtrack
* Sat Aug 16 2003 - adrian@suse.de
- add desktop file
* Tue Jul 29 2003 - ro@suse.de
- make it find glib
* Thu Feb 06 2003 - ro@suse.de
- /var/mtrack -> /var/lib/mtrack (for FHS sake)
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Sat Jan 12 2002 - jreuter@suse.de
- update to 0.3
* Thu Jan 04 2001 - ka@suse.de
- update to version 0.2.3
- changed group to X11/Applications/Hamradio
* Wed Nov 08 2000 - sim@suse.de
- changed group to Applications/Communications
* Mon Nov 06 2000 - ro@suse.de
- fixed neededforbuild
* Thu May 25 2000 - ro@suse.de
- doc to /usr/share/doc
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jul 13 1999 - bs@suse.de
- use gtk and glib instead of gtkn and glibn
* Mon Jun 14 1999 - ka@suse.de
- update to 0.2.2
- minor upgrades and bugfixes: now uses GTK colour selection dialogue box
* Sat Jun 12 1999 - ka@suse.de
- update to 0.2-1
- new feature tle2mtrack imports/updates two-line elements to satfile
* Mon Jun 07 1999 - ka@suse.de
- final 0.2 release
* Sun May 30 1999 - ka@suse.de
- new beta 0.2d
- Jonathan decided to follow my suggestion and changed the file
  locations according the FHS
* Wed May 19 1999 - ka@suse.de
- added %%config for mtrackrc
* Wed May 19 1999 - ka@suse.de
- again a new beta release: 0.2c
* Tue May 18 1999 - ka@suse.de
- new beta release 0.2b
* Wed May 05 1999 - ka@suse.de
- added patch for colour depth greater 8 bits/pixel
* Wed May 05 1999 - ka@suse.de
- initial release
